Summary:        Efficiently compute time from local and GMT time
Name:           perl-Time-Local
Version:        1.35
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Time-Local
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/Time-Local-%{version}.tar.gz

BuildRequires:  make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 
BuildRequires:  perl(strict) perl(warnings) perl(Carp) 
BuildRequires:  perl(Exporter) perl(parent) perl(constant) 
BuildRequires:  perl(File::Spec) perl(Test::More) >= 0.96

BuildArch:      noarch

%description
This module provides functions that are the inverse of built-in perl 
functions localtime() and gmtime(). They accept a date as a six-element 
array, and return the corresponding time(2) value in seconds since the 
system epoch (Midnight, January 1, 1970 GMT on Unix, for example). This 
value can be positive or negative, though POSIX only requires support for 
positive values, so dates before the system's epoch may not work on all 
operating systems.


%prep
%autosetup -n Time-Local-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%license LICENSE
%doc Changes README.md CODE_OF_CONDUCT.md CONTRIBUTING.md 
%{perl_vendorlib}/Time
%{_mandir}/man3/*.3pm.gz


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.35-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.35-1
- Upgrade to upstream version 1.35
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug  2 2022 doriscchao <doriscchao@tencent.com> - 1.30-1
- initial build, Version 1.30, Release 1
